lc_2008 061.jpg=Cutting down the nasty holly tree
lc_2008 044.jpg=Baby bird
lc_2008 110.jpg=House burned down
lc_2008 005.jpg=Victoria Harbor (or Harbour in Canada)
lc_2008 124.jpg=The Weir (lock)
lc_2008 038.jpg=Reilly loves a stick!
lc_2008 132.jpg=Putting up Dad's awning
lc_2008 111.jpg=House burned down
lc_2008 103.jpg=Out on the pontoon boat
lc_2008 002.jpg=Sandy's sign
lc_2008 142.jpg=Seattle Harbor
lc_2008 099.jpg=Kayaking
lc_2008 020.jpg=Building Dad's Dock
lc_2008 139.jpg=Interesting flowers at Dad's rental/for sale house.
lc_2008 082.jpg=Tubers
lc_2008 130.jpg=Putting up Dad's awning
IMG_0428.jpg=Me canoeing
lc_2008 006.jpg=Victoria Harbor (or Harbour in Canada)
lc_2008 014.jpg=Dad's garden
lc_2008 083.jpg=Tubers
lc_2008 069.jpg=Uncle Art's Preserves
lc_2008 070.jpg=The Honeymoon Bay Market!
lc_2008 027.jpg=Building Dad's Dock
lc_2008 098.jpg=Kayaking
IMG_0432.JPG=Dad's dock
lc_2008 059.jpg=Building Dad's Dock
lc_2008 144.jpg=Stadium
lc_2008 131.jpg=Putting up Dad's awning
lc_2008 047.jpg=Building Dad's Dock
lc_2008 126.jpg=The Weir (lock)
lc_2008 049.jpg=Building Dad's Dock
lc_2008 151.jpg=Jack-knife
lc_2008 137.jpg=Building houses at "the Slopes"
lc_2008 077.jpg=The coffee mill
lc_2008 055.jpg=Sam eat food. Keep hands away!
lc_2008 147.jpg=Stadium
lc_2008 052.jpg=Brittany and Samantha. Hard to believe that such beautiful women are actually my kin, huh?
lc_2008 136.jpg=Reilly wants to go for a boat ride
lc_2008 121.jpg=The Weir (lock)
lc_2008 028.jpg=Building Dad's Dock
lc_2008 022.jpg=Building Dad's Dock
lc_2008 017.jpg=Dad's back yard
lc_2008 134.jpg=Setting up Sandy's dock
lc_2008 025.jpg=Building Dad's Dock
lc_2008 091.jpg=Christening the new deck
lc_2008 081.jpg=Deck with furniture
lc_2008 115.jpg=Out on the pontoon boat
lc_2008 128.jpg=Putting up Dad's awning
lc_2008 109.jpg=House burned down
lc_2008 145.jpg=Seattle Harbor
lc_2008 031.jpg=Building Dad's Dock
lc_2008 150.jpg=Jack-knife.
lc_2008 079.jpg=The Honeymoon Bay Market - Bikini Girl!
lc_2008 041.jpg=Baby bird
lc_2008 146.jpg=Seattle Harbor
lc_2008 087.jpg=Christening the new deck
lc_2008 090.jpg=Christening the new deck
lc_2008 073.jpg=Going out on the Pontoon boat
lc_2008 108.jpg=Out on the pontoon boat
lc_2008 104.jpg=Out on the pontoon boat
lc_2008 007.jpg=Victoria Harbor (or Harbour in Canada)
lc_2008 135.jpg=Setting up Sandy's dock
lc_2008 018.jpg=Reilly loves a stick!
lc_2008 107.jpg=Out on the pontoon boat
lc_2008 084.jpg=Reilly
lc_2008 039.jpg=Reilly will walk on water to get a stick!
lc_2008 086.jpg=Christening the new deck
lc_2008 152.jpg=Southpark!
lc_2008 125.jpg=The Weir (lock)
lc_2008 127.jpg=Putting up Dad's awning
lc_2008 010.jpg=Reilly and Dad
lc_2008 024.jpg=Building Dad's Dock
lc_2008 100.jpg=Dad need food!
lc_2008 113.jpg=Out on the pontoon boat
lc_2008 116.jpg=Out on the pontoon boat
lc_2008 067.jpg=The Coffee Mill
lc_2008 054.jpg=Sandy, Brittany, and Samantha. I'm starting to think I was adopted ;)
lc_2008 075.jpg=Dad's new dock
lc_2008 095.jpg=Christening the new deck (Not so sure about this one)
lc_2008 085.jpg=Tubers
lc_2008 023.jpg=Building Dad's Dock
lc_2008 036.jpg=Reilly loves a stick!
lc_2008 048.jpg=Building Dad's Dock
lc_2008 119.jpg=The Marina
lc_2008 105.jpg=Out on the pontoon boat
lc_2008 060.jpg=Building Dad's Dock
lc_2008 096.jpg=Christening the new deck (Not so sure about this one)
lc_2008 074.jpg=Dad's new dock
lc_2008 037.jpg=Rielly loves a stick!
lc_2008 076.jpg=The bridge
IMG_0429.JPG=Me canoeing
lc_2008 026.jpg=Building Dad's Dock
lc_2008 008.jpg=Victoria Harbor (or Harbour in Canada)
lc_2008 117.jpg=The equivalent of "cocktail cove"
lc_2008 138.jpg=Building houses at "The Slopes"
IMG_0427.JPG=Me canoeing
lc_2008 032.jpg=Building Dad's Dock
lc_2008 021.jpg=Building Dad's Dock
lc_2008 094.jpg=Christening the new deck
lc_2008 035.jpg=Reilly loves a stick!
lc_2008 053.jpg=Sam's new condo
lc_2008 106.jpg=Out on the pontoon boat
lc_2008 114.jpg=Out on the pontoon boat
lc_2008 001.jpg=Very nice pants!
lc_2008 093.jpg=The leff-overs
lc_2008 056.jpg=Building Dad's Dock
lc_2008 101.jpg=Christening the new deck
IMG_0430.JPG=Me canoeing
lc_2008 072.jpg=Honeymoon Bay Community Gardens
lc_2008 129.jpg=Putting up Dad's awning
lc_2008 012.jpg=Reilly likes sticks!
lc_2008 019.jpg=Ling!
lc_2008 058.jpg=Building Dad's Dock
lc_2008 071.jpg=Dad & some customers
lc_2008 068.jpg=Kit car - CDN$14,000
lc_2008 040.jpg=Reilly loves a stick!
lc_2008 089.jpg=Christening the new deck
lc_2008 050.jpg=Building Dad's Dock
lc_2008 015.jpg=Dad's garden
lc_2008 051.jpg=Building Dad's Dock
lc_2008 063.jpg=No more nasty holly!
lc_2008 122.jpg=The Weir (lock)
lc_2008 013.jpg=Dad's garden
lc_2008 030.jpg=Building Dad's Dock
lc_2008 123.jpg=Dad's place ... see the new ramp?
lc_2008 118.jpg=Out on the pontoon boat
lc_2008 140.jpg=The Daily Perk and pizza place.
lc_2008 066.jpg=Uncle Art's Preserves
lc_2008 080.jpg=Deck set up!
lc_2008 057.jpg=Building Dad's Dock
lc_2008 078.jpg=The Honeymoon Bay Market - Bikini Girl!
lc_2008 046.jpg=Building Dad's Dock
lc_2008 112.jpg=Out on the pontoon boat
lc_2008 141.jpg=Seattle Harbor
lc_2008 016.jpg=Dad's garden
lc_2008 003.jpg=Victoria Harbor (or Harbour in Canada)
lc_2008 045.jpg=Building Dad's Dock
lc_2008 029.jpg=Building Dad's Dock
lc_2008 088.jpg=Christening the new deck
lc_2008 004.jpg=Victoria Harbor (or Harbour in Canada)
lc_2008 143.jpg=Seattle Harbor
lc_2008 102.jpg=Out on the pontoon boat
lc_2008 062.jpg=The nasty holly tree
lc_2008 092.jpg=Christening the new deck
lc_2008 120.jpg=The Weir (lock)
lc_2008 065.jpg=Otis
